DBIx::SearchBuilder::Handle::SQLite(3pm)

NAME
  DBIx::SearchBuilder::Handle::SQLite -- A SQLite specific Handle object

SYNOPSIS

DESCRIPTION
This module provides a subclass of DBIx::SearchBuilder::Handle that compensates for some of the idiosyncrasies of SQLite.

METHODS

  DatabaseVersion
Returns the version of the SQLite library which is used, e.g., "2.8.0". SQLite can only return short variant.

  Insert
Takes a table name as the first argument and assumes that the rest of the arguments are an array of key-value pairs to be inserted.

If the insert succeeds, returns the id of the insert, otherwise, returns a Class::ReturnValue object with the error reported.

  CaseSensitive
Returns undef, since SQLite's searches are not case sensitive by default

  DistinctCount STATEMENTREF
takes an incomplete SQL SELECT statement and massages it to return a DISTINCT result count

  SimpleDateTimeFunctions
Returns hash reference with specific date time functions of this database for "DateTimeFunction" in DBIx::SearchBuilder::Handle.